I need some advice on the correct way to upgrade from the KDE 4.7 Upstream Release to the newly released KDE 4.8 Upstream.

In my repositories I had KDE 4.7 Upstream for Core, Extra and Playground. I disabled those and added the KDE 4.8 Upstream Release Repositories for Core, Extra and Playground.

When I go to do a software update I get a very large number of Dependency Errors. So, rather than take a chance and break my system by selecting the wrong option somewhere to resolve, I aborted the update.

Any advice on how to proceed and not end up with a broken system would be appreciated.

Thanks in advance.

Running X86_64 if that makes any difference.